
 
SELECT TABLENAME
FROM dbc.tables
WHERE tablename = 'ASSUR_EVT'
AND databasename = '%%ENV%%_EDW1_ATO' ;
  
.if activitycount = 0 then .goto ASSUR_EVT
  	
RENAME TABLE %%ENV%%_EDW1_ATO.ASSUR_EVT TO %%ENV%%_EDW1_ATO.ASSUR_EVT_DRP_XXXXXXXX;
		
	
.label ASSUR_EVT
-- Creation of table ASSUR_EVT in database EDW1_ATO
CREATE  TABLE %%ENV%%_EDW1_ATO.ASSUR_EVT 
(
ASSUR_EVT_ID  DECIMAL(18,0) NOT NULL  ,
ASSUR_EVT_NUM  VARCHAR(100) NOT NULL  ,
ASSUR_EVT_IDSCOPE  VARCHAR(5) NOT NULL  ,
ASSUR_EVT_IDCONTEXT  VARCHAR(10) NOT NULL  ,
ASSUR_EVT_SUBJECT  VARCHAR(250)  ,
ASSUR_EVT_STATUS_CD  VARCHAR(100)  ,
ASSUR_EVT_TYPE_VALUE  VARCHAR(30) NOT NULL  ,
ASSUR_EVT_SEVRTY_VALUE  VARCHAR(20) NOT NULL  ,
ASSUR_EVT_START_TS  TIMESTAMP(3)  ,
ASSUR_EVT_END_TS  TIMESTAMP(3)  ,
ASSUR_EVT_DUR_AMT  INTEGER  ,
ASSUR_EVT_DESC  VARCHAR(1000)  ,
EBU_INCIDENT_TICKET_ID  DECIMAL(18,0)  ,
CUST_ID  INTEGER  ,
EMPL_ID  INTEGER  ,
EMPL_GRP_ID  INTEGER  ,
PHYSICAL_RESOURCE_ID  DECIMAL(18,0)  ,
SER_WORK_ORDR_NUM  VARCHAR(100)  ,
GPW_PLND_WORK_ID  DECIMAL(18,0)  ,
TRANSACT_SEQ_NUM  DECIMAL(18,0) NOT NULL  ,
TRANSACT_CREATED_TS  TIMESTAMP(3) NOT NULL  ,
CREATED_BY_JOBEX_ID  VARCHAR(20) NOT NULL  ,
LAST_UPDATED_BY_JOBEX_ID  VARCHAR(20) NOT NULL  ,
PCC_JOB_ID  VARCHAR(20) NOT NULL  
) UNIQUE PRIMARY INDEX (ASSUR_EVT_ID) ;
	
COMMENT ON TABLE %%ENV%%_EDW1_ATO.ASSUR_EVT IS 'Security=Normal;TYPE=EDW;ViewName=E_AT_ASEV_ASSUR_EVT;Acronym=ASEV;LookupTable=ASSV_LCK;Subtype=Master';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT.ASSUR_EVT_ID IS 'PrimaryKey=yes';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT.EBU_INCIDENT_TICKET_ID IS 'ForeignKey=P0_EDW1_ATO.EBU_INCIDENT_TICKET.EBU_INCIDENT_TICKET_ID';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT.CUST_ID IS 'ForeignKey=P0_EDW1_ATO.CUST.CUST_ID';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT.EMPL_ID IS 'ForeignKey=P0_EDW1_ATO.EMPL.EMPL_ID';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT.SER_WORK_ORDR_NUM IS 'ForeignKey=P0_EDW1_ATO.SER_WORK_ORDR.SER_WORK_ORDR_NUM';
 -- Creation of technical view for ASSUR_EVT in database EDW1_ATO
REPLACE VIEW %%ENV%%_TEC_ETL_ETLV1.E_AT_ASEV_ASSUR_EVT AS
SELECT 
ASSUR_EVT_ID,
ASSUR_EVT_NUM,
ASSUR_EVT_IDSCOPE,
ASSUR_EVT_IDCONTEXT,
ASSUR_EVT_SUBJECT,
ASSUR_EVT_STATUS_CD,
ASSUR_EVT_TYPE_VALUE,
ASSUR_EVT_SEVRTY_VALUE,
ASSUR_EVT_START_TS,
ASSUR_EVT_END_TS,
ASSUR_EVT_DUR_AMT,
ASSUR_EVT_DESC,
EBU_INCIDENT_TICKET_ID,
CUST_ID,
EMPL_ID,
EMPL_GRP_ID,
PHYSICAL_RESOURCE_ID,
SER_WORK_ORDR_NUM,
GPW_PLND_WORK_ID,
TRANSACT_SEQ_NUM,
TRANSACT_CREATED_TS,
CREATED_BY_JOBEX_ID,
LAST_UPDATED_BY_JOBEX_ID,
PCC_JOB_ID 
FROM
%%ENV%%_EDW1_ATO.ASSUR_EVT;
REPLACE VIEW %%ENV%%_EDV1_ATO.ASSUR_EVT AS LOCK ROW ACCESS SELECT * FROM %%ENV%%_EDW1_ATO.ASSUR_EVT;
  
.label END_SCRIPT
